Subject: Problems on porting linux 2.6 to xilinx ML410

From: "woyuzhilei" <[email-masked]>
Date: Fri, 24 Aug 2007 11:11:57 +0800

Hey:
    Recently I'm doing some project on Xilinx Ml410 evaluation board.The first step is porting linux 2.6 to ml410,but I got some problems on this,and my project cann't proceed,so I come to you for some help.
    I use the linux kernel source tree download from  http://git.secretlab.ca/git/linux-2.6-virtex.git  (The latest one).Add the file the xparameters.h,xparameter_ml40x.h.  Then add arch/ppc/platforms/4xx/xilinx_generic_ppc.c(Use the patch I get here),and change it's name to ml40x.c,then I make some necessay change of the configuration files to accept selecting a Ml40x type board.Then compile the kernel,and get the image file from arch/ppc/boot/images, (On kernel compiling,the only device driver  I sellect is " 8250/16550 and compatible serial support ").After that  I download the zImage.elf file to the target board,and run it.But there is no output from the serial port at all.Am I doing somthing wrong?I really don't know goes wrong.
    Can anyone here help me with this?Any help from you is appreciated.Thank you very much!

                                                                                                                                                                                    woyuzhilei
                                                                                                                                                                                     2007-08-24